Bug 1680656

Summary: [abrt] wxMaxima: wxTrap(): wxmaxima killed by SIGTRAP
Product: [Fedora] Fedora Reporter: Sam Tygier <samtygier>
Component: wxMaximaAssignee: Rex Dieter <rdieter>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: alf.tanner, jamatos, rdieter
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/b59648d968da6eee47bd33daa9b25c5db406093e
Whiteboard: abrt_hash:56629f3c83194521de668a4c1c4564af15dc1f93;VARIANT_ID=workstation;
Fixed In Version: wxMaxima-19.03.1-1.fc30 wxMaxima-19.03.1-1.fc29 wxMaxima-19.03.1-1.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-11-27 22:54:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: cpuinfo
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description Sam Tygier 2019-02-25 13:23:09 UTC
Description of problem:
wxmaxima gives this when using functions that open dialogs in GNOME3 wtih 2 or more displays.

To reproduce,
open wxmaxima
Algebra -> Generate Matrix
crash.

Version-Release number of selected component:
wxMaxima-18.12.0-1.fc29

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        wxmaxima
crash_function: wxTrap
executable:     /usr/bin/wxmaxima
journald_cursor: s=22f1603466fc4d3fa149eb103f733596;i=421e8;b=2567a16c8c944ef98fa0827da648ff0d;m=3cbb3a4d18;t=58266ed7b8cbe;x=9d49bbdc6ff144be
kernel:         4.20.8-200.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Sam Tygier 2019-02-25 13:23:11 UTC
Created attachment 1538430 [details]
File: backtrace

Comment 2 Sam Tygier 2019-02-25 13:23:12 UTC
Created attachment 1538431 [details]
File: cgroup

Comment 3 Sam Tygier 2019-02-25 13:23:13 UTC
Created attachment 1538432 [details]
File: core_backtrace

Comment 4 Sam Tygier 2019-02-25 13:23:14 UTC
Created attachment 1538433 [details]
File: cpuinfo

Comment 5 Sam Tygier 2019-02-25 13:23:15 UTC
Created attachment 1538434 [details]
File: dso_list

Comment 6 Sam Tygier 2019-02-25 13:23:17 UTC
Created attachment 1538435 [details]
File: environ

Comment 7 Sam Tygier 2019-02-25 13:23:18 UTC
Created attachment 1538436 [details]
File: limits

Comment 8 Sam Tygier 2019-02-25 13:23:19 UTC
Created attachment 1538437 [details]
File: maps

Comment 9 Sam Tygier 2019-02-25 13:23:20 UTC
Created attachment 1538438 [details]
File: open_fds

Comment 10 Sam Tygier 2019-02-25 13:23:21 UTC
Created attachment 1538439 [details]
File: proc_pid_status

Comment 11 Sam Tygier 2019-02-25 13:23:22 UTC
Created attachment 1538440 [details]
File: var_log_messages

Comment 12 Fedora Update System 2019-02-27 20:46:28 UTC
wxMaxima-19.02.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a4990e2ca3

Comment 13 Fedora Update System 2019-02-27 20:47:15 UTC
wxMaxima-19.02.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d8da282e14

Comment 14 Sam Tygier 2019-02-28 14:36:57 UTC
I installed wxMaxima-19.02.2-1.fc29.x86_64 from koji. Confirmed the new version in the about dialog. I still get the same crash.

Also its probably worth noting, the wxmaxima crash dialog has the message:

../src/common/dpycmn.cpp(119): assert "n < GetCount()" failed in wxDisplay(): An invalid index was passed to wxDisplay

Comment 15 Fedora Update System 2019-02-28 18:55:43 UTC
wxMaxima-19.02.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d8da282e14

Comment 16 Fedora Update System 2019-02-28 21:26:32 UTC
wxMaxima-19.02.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a4990e2ca3

Comment 17 José Matos 2019-03-05 12:14:54 UTC
I have report this issue upstream:
https://github.com/wxMaxima-developers/wxmaxima/issues/1092

Thank you for the report. :-)

FWIW I am using wxmaxima in kde with 2 displays and I have no problem.

Comment 18 Fedora Update System 2019-03-11 00:08:35 UTC
wxMaxima-19.03.1-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a21fa7ef51

Comment 19 Fedora Update System 2019-03-11 00:09:48 UTC
wxMaxima-19.03.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a4990e2ca3

Comment 20 Fedora Update System 2019-03-11 00:10:57 UTC
wxMaxima-19.03.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d8da282e14

Comment 21 Fedora Update System 2019-03-11 14:41:47 UTC
wxMaxima-19.03.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a21fa7ef51

Comment 22 Fedora Update System 2019-03-11 20:00:59 UTC
wxMaxima-19.03.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d8da282e14

Comment 23 Fedora Update System 2019-03-11 20:48:35 UTC
wxMaxima-19.03.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a4990e2ca3

Comment 24 Fedora Update System 2019-03-31 00:02:01 UTC
wxMaxima-19.03.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2019-03-31 03:00:13 UTC
wxMaxima-19.03.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2019-03-31 03:11:16 UTC
wxMaxima-19.03.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 José Matos 2019-05-04 10:55:08 UTC
(In reply to Sam Tygier from comment #14)
> I installed wxMaxima-19.02.2-1.fc29.x86_64 from koji. Confirmed the new
> version in the about dialog. I still get the same crash.
> 
> Also its probably worth noting, the wxmaxima crash dialog has the message:
> 
> ../src/common/dpycmn.cpp(119): assert "n < GetCount()" failed in
> wxDisplay(): An invalid index was passed to wxDisplay

Do you still get the crash with the latest version:
https://bodhi.fedoraproject.org/updates/FEDORA-2019-b89703fda3

Comment 28 Sam Tygier 2019-05-07 12:59:25 UTC
I still get the crash in wxMaxima-19.05.0-1.fc29.x86_64

Comment 29 Nicola 2019-06-05 01:43:54 UTC
Add a "me too". It has become rather unstable under F30 x64, perhaps
because of wx libraries (amule doesn't work at all now, for instance).

Fedora 30 x64 with latest updates as of today,
wxMaxima-19.05.3-1.fc30.x86_64

Comment 30 José Matos 2019-06-16 17:13:20 UTC
FWIW I tried wxMaxima-19.05.7-1.fc30.x86_64 under gnome with two displays and it does not crash for me.
This was already the case for plasma (kde) but now I tested it under gnome (all editions:wayland, x11 and classic) and I do not see any crash.

wxMaxima 19.05.7 is on stable for both F30 and F29:
f30: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cf9a1b949b
f29: https://bodhi.fedoraproject.org/updates/FEDORA-2019-90c23280a1

Comment 31 Nicola 2019-06-17 18:53:51 UTC
The latest upgrade to version 19.05.7 seems to be working. I've tried several cut and paste
that made wxmaxima crash and it didn't happen yet. Looks stable.

Comment 32 Ben Cotton 2019-10-31 19:07:06 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 33 Ben Cotton 2019-11-27 22:54:34 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.